<template>
    <div>
        <div class="row mb-3">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                <b-row class="my-1 d-flex align-items-center">
                                    <b-col sm="3">
                                        <label>Kode Proyek :</label>
                                    </b-col>
                                    <b-col sm="9">
                                        <input type="text" class="form-control" size="sm">
                                    </b-col>
                                </b-row>
                                <b-row class="my-1 d-flex align-items-center">
                                    <b-col sm="3">
                                        <label>Nama Proyek :</label>
                                    </b-col>
                                    <b-col sm="9">
                                        <input type="text" class="form-control" size="sm">
                                    </b-col>
                                </b-row>
                            </div>
                            <div class="col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                                <b-row class="my-1 d-flex align-items-center">
                                    <b-col sm="3">
                                        <label>Nomor Transmittal :</label>
                                    </b-col>
                                    <b-col sm="9">
                                        <input type="text" class="form-control" size="sm">
                                    </b-col>
                                </b-row>
                                <b-row class="my-1 d-flex align-items-center">
                                    <b-col sm="3">
                                        <label>Perusahaan :</label>
                                    </b-col>
                                    <b-col sm="9">
                                        <input type="text" class="form-control" size="sm">
                                    </b-col>
                                </b-row>
                            </div>
                        </div>
                        <div class="row mt-3">
                            <div class="col-12">
                                <div class="text-right">
                                    <button class="btn btn-sm btn-primary">Cari</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row mb-3">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="text-right mb-2">
                            <button class="btn btn-sm btn-primary" @click.prevent="addTransmittal()">
                                <i class="fas fa-plus"></i>
                            </button>
                        </div>
                        <div class="table-responsive">
                            <table class="table table-head-custom table-vertical-center table-head-bg table-borderless">
                                <thead>
                                    <tr>
                                        <th>Perusahaan</th>
                                        <th>Subject</th>
                                        <th>Kode Proyek</th>
                                        <th>Nickname</th>
                                        <th>Tanggal Transmittal</th>
                                        <th>Nomor Transmittal</th>
                                        <th>Aksi</th>
                                    </tr>
                                </thead>
                                <template
                                    v-if="this.$store.getters.getterTransmittal.length == 0"
                                >
                                    <template
                                        v-if="isEmpty"
                                    >
                                        <tbody>
                                            <tr>
                                                <td class="text-center" colspan="7">
                                                    <div class="text-center">
                                                        <i class="flaticon2-open-box text-secondary icon-3x"></i>
                                                        <h4>
                                                        Data kosong.
                                                        </h4>
                                                    </div>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </template>
                                    <template
                                        v-if="isLoading"
                                    >
                                        <tbody>
                                            <tr>
                                                <td colspan="7" class="text-center">
                                                    <div>
                                                        <b-spinner label="Loading..." variant="primary"></b-spinner>
                                                    </div>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </template>
                                </template>
                                <template
                                    v-else
                                >
                                    <template
                                        v-for="(item, i) in this.$store.getters.getterTransmittal"
                                    >
                                        <tbody v-bind:key="i">
                                            <tr>
                                                <td>{{ item.company.name }}</td>
                                                <td>{{ item.subject }}</td>
                                                <td>{{ item.project_code }}</td>
                                                <td>{{ item.project_code }}</td>
                                                <td>{{ item.project.nickname }}</td>
                                                <td>{{ item.number }}</td>
                                                <td style="cursor: pointer;">
                                                    <div class="text-center" @click.prevent="editTransmittal(item.id)">
                                                        <i class="fas fa-edit text-primary"></i>
                                                    </div>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </template>
                                </template>
                            </table>
                        </div>

                        <div
                            class="text-right"
                            v-if="this.$store.getters.getterTransmittal.length < 5"
                        >
                            <div class="btn-group">
                                <button class="btn btn-primary btn-sm">Prev</button>
                                <button class="btn btn-primary btn-sm">Next</button>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import { GET_TRANSMITTAL } from "@/core/services/store/transmittal.module";

export default {
    name: "Transmital",
    data() {
        return {
            isEmpty: true,
            isLoading: false
        }
    },
    async mounted() {
        this.isLoading = true;
        this.isEmpty = false;
        await this.$store.dispatch(GET_TRANSMITTAL, {project_code: ""});
        this.isLoading = false;
        this.isEmpty = false;
    },
    methods: {
        addTransmittal() {
            this.$router.push('/project/transmittal/create');
        },

        editTransmittal(id) {
            this.$router.push('/project/transmittal/' + id + '/edit');
        }
    }
}
</script>